Subject: Re: [PATCH v2 01/10] pack-write.c: plug a leak in stage_tmp_packfiles()

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Apr 2023 09:57:30 -0700

Taylor Blau <[email-masked]> writes:

>> Indeed the string that holds the name of the file returned by
>> write_mtimes_file() is leaking.  Does the same logic apply to the
>> returned filename from write_rev_file() and stored in rev_tmp_name
>> that is not freed in stage_tmp_packfiles() in another topic?
>
> They are similar, but unfortunately different.

I hoped "fortunately different and there is no leak", but it seems
what you said below is a bit different X-<.

> But in the case of `write_rev_file()`, it only *sometimes* generates a
> new name from scratch. The first parameter can be NULL, in which case
> `write_rev_file()` will generate a new name. Or it can be non-NULL, in
> which case that name will be used instead.

IOW, it is a mess.

But I think the topic to introduce that variable is being rerolled
and has no interaction with the codepath we are discussing here, so
we are still in good shape wrt this series ;-)

Thanks.